petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCShellSetApply

Sets routine to use as right preconditioner (when the PC_SYMMETRIC is used).

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCShellSetApplySymmetricRight(PC pc,PetscErrorCode (*apply)(PC,Vec,Vec))

Logically Collective on PC Many br

### Input Parameters

| pc | - the preconditioner context Many br
| apply | - the application-provided right preconditioning routine Many br

### Calling sequence of apply

       PetscErrorCode apply (PC pc,Vec xin,Vec xout)

Many br

| pc | - the preconditioner, get the application context with PCShellGetContext() Many br
| xin | - input vector Many br
| xout | - output vector Many br

Notes: the function MUST return an error code of 0 on success and nonzero on failure. Many br

Many br

### Keywords

PC, shell, set, apply, user-provided

### See Also

PCShellSetApply(), PCShellSetApplySymmetricLeft(), PCShellSetSetUp(), PCShellSetApplyTranspose(), PCShellSetContext()

Level:developer
Location:src/ksp/pc/impls/shell/shellpc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex15.c.html
src/ksp/ksp/examples/tutorials/ex15f.F.html
src/ksp/ksp/examples/tutorials/ex21f.F.html
src/snes/examples/tutorials/ex3.c.html
src/tao/pde_constrained/examples/tutorials/parabolic.c.html
src/tao/pde_constrained/examples/tutorials/hyperbolic.c.html